iis aspnet注册不了 为什么Framework 3.5为什么在IIS的ASP.NET选项找不到 - IIS - 服务器之家

服务器之家

专注于服务器技术!
当前位置:首页 > Web服务器 > IIS

iis aspnet注册不了 为什么Framework 3.5为什么在IIS的ASP.NET选项找不到

发布时间:2017-03-29 来源:服务器之家

问题一:安装好vs2008再安装iis 却发现iis启动项里没有.NET Framework 2.0选项?

我在win2003+iis安装vs2008,发现iis里面没有.NET Framework 2.0选项,在网上查询了资料,得知:

在MSDN找到了方法,其实可以不用重装.NET,只要运行一下.NET的IIS注册程序aspnet_regiis.exe,在IIS中注册一下就可以正常使用了。

命令所在目录为.NET Frame的安装目录,.NET2.0一般为

C:\WINDOWS\\Framework\v2.0.50727

在此目录下执行aspnet_regiis.exe -i

即可启动NET Framework 2.0

问题二:为什么Framework 3.5为什么在IIS的选项找不到?

VS2008带的Framework 3.5,于是我去IIS 里面看看是不是有那个选项.
发现没有.于是乎就想到这是脚本没有映射.用以前注册Framework 2.0的方法,发现找不到aspnet_regiis.exe
注册了.上V3.5里面发现最有可能的是一个叫VFServers.exe还差不多.用命令重新注册还是不行.

我看见 添加删除程序里面 是 framework 3.5,怎么他不能脚本映射那?反正我一直不理解为什么在IIS里面怎么就没有?

按照常理说:VS2003带framework1.1,VS2005 带framework2.0,VS2008说过不是带framework3.0,3.0里面有WCF,这次总应该是Framework3.5了吧? 疑惑中.相信很多人估计和我刚才一样疑惑.

查了半天资料,才得到,原來 3.5 只是使用 .Net Framework 3.5 的组件(assembly)而已!整个核心的架构还是建立在 .NET 2.0 之上,.NET Framework 的 API 都沒变,只是到了 .NET 3.5 很多 assembly 都重新写过了,且执行的速度也比 .NET 2.0 的组件还快。

所以 3.5 的程式要安装在 IIS 上不需要特別指定 3.5 的版本,继续沿用 2.0 的版本即可,但作業系統本身必須要先安裝 .Net Framework 3.5 runtime 就是了!